# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['phrases_fuzzy_clusters']

package_data = \
{'': ['*']}

setup_kwargs = {
    'name': 'phrases-fuzzy-clusters',
    'version': '0.0.1',
    'description': 'Similar phrase clustering based on fuzzy-match.',
    'long_description': 'phrases-fuzzy-clusters\n======================\n\nSimilar phrase clustering based on fuzzy-match.\n\nPurpose of the Package\n----------------------\n\nIdentify all groups/clursters of phrases based on their token sort ratio\nfuzzy similarity rate (clique\n`here <https://pypi.org/project/fuzzywuzzy/>`__ to know more).\n\nFor a cluster to be formed, it needs to have at least two similar\nphrases, that is, if a sentence looks like at least with one other in\nthe list, a cluster will be created for them, they will receive a\npositive number representing their cluster.\n\nIf the phrase does not look like any other, it will not be associated\nwith any cluster and will receive the *-1* tag.\n\nFor while it works just for **portuguese** language.\n\nInstallation\n------------\n\nYou can install it using pip:\n\n.. code:: bash\n\n   pip install phrases_fuzzy_clusters\n\nUsage\n-----\n\n.. code:: python\n\n   >>> from phrases_fuzzy_clusters import associate_cluster_per_phrase\n   >>> phrases = ["morava em florianópolis", "comprar um carro", "compra de um carro", "em florianópolis eu moro", "gosto de samba", "quero comer tapioca"]\n   >>> res = associate_cluster_per_phrase(phrases=phrases, similarity_threshold=90)\n   >>> print(res)\n   output: [(\'morava em florianópolis\', 1), (\'comprar um carro\', 2), (\'compra de um carro\', 2), (\'em florianópolis eu moro\', 1), (\'gosto de samba\', -1), (\'quero comer tapioca\', -1)]\n\nContribution\n------------\n\nContributions are welcome.\n\nIf you find a bug, please let me know.\n\nAuthor\n------\n\n-  **Main Maintainer:** Cloves Paiva.\n',
    'author': 'Cloves Paiva',
    'author_email': 'clovesgtx@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/SClovesgtx/phrases-fuzzy-clusters',
    'packages': packages,
    'package_data': package_data,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
